BizKitHub
DocsAPI ReferenceComplaint/bff/complaint/variant-update
postComplaintAdmin BFF

/bff/complaint/variant-update

Updates an existing complaint variant. Only provided fields are modified.

ComplaintpostBffComplaintVariant-update

Parameters

JSON body

Request body

application/json
idnumberRequired

Variant ID to update.

Example1
labelstringOptional

Updated human-readable variant label.

ExampleReklamace
policyIdnumberOptional

Updated default complaint policy ID.

Example1
positionnumberOptional

Updated display order position.

Example0
isActivebooleanOptional

Indicator of whether the variant is active and selectable.

Response schema

1 status code documented

200Success
successbooleanRequired

Indicates whether the operation completed successfully.

Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/complaint/variant-update

post
curl -X POST "https://api.bizkithub.com/bff/complaint/variant-update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": 1,
  "label": "Reklamace",
  "policyId": 1,
  "position": 0,
  "isActive": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key